Subject: [bug#55078] Acknowledgement ([PATCH]: Update webkitgtk & wpewebkit to 2.36.1.)

From: Jack Hill <[email-masked]>
Date: Mon, 6 Jun 2022 13:25:54 -0400 (EDT)

On Mon, 6 Jun 2022, Liliana Marie Prikler wrote:

> Am Montag, dem 06.06.2022 um 23:53 +0800 schrieb Zhu Zihao:
>> ping again and again.
> Last time Raghav reviewed this, they said to base it off of core-
> updates.  Since 2.36.1 has security fixes, we should aim for master
> instead, but use grafts (we can later ungraft on core-updates or a
> dedicated branch).
>
> Can you resend this as a grafting patch for master?
>
> Thanks

Is grafting really needed (I'm not confident I'm not adept enough with 
`git log` to tell for sure if we've done this before)?

I guess technically it should go via staging as `guix refresh -l 
webkitgtk` reports 359 dependent package to rebuild (which and additional 
75 from webkitgtk-with-libsoup2), but many of those are python packages 
which will presumably be fast rebuilds.

Also, WebKitGTK 2.36.3 is out: 
https://webkitgtk.org/2022/05/28/webkitgtk2.36.3-released.html

Best,
Jack